libgdamm: Gnome::Gda Namespace Reference

libgdamm 4.99.8

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Namespace List
- Namespace Members

Classes | Typedefs | Enumerations | Functions | Variables
Gnome::Gda Namespace Reference

## Classes
class | Batch
| Multiple SQL statements grouped together. More...
class | Blob
| This object is a base class for individual database providers which support BLOB types. More...
class | BlobOp
| Blobs handling. More...
class | Column
| Management of DataModel column attributes. More...
class | Config
| Configuration — Access/Management of libgda configuration. More...
class | ConfigError
class | Connection
| Manages a connection to a data source. More...
class | ConnectionError
| Exception class for Gda connection errors. More...
class | ConnectionEvent
| Any event which has occurred on a Gda::Connection. More...
class | DataAccessWrapper
| Offers random access on top of a cursor-only access data model. More...
class | DataComparator
| Simple data model's contents comparison. More...
class | DataHandler
| Base class which provides data handling capabilities. More...
class | DataModel
| Abstract DataModel (Base class for all DataModels). More...
class | DataModelArray
| An implementation of DataModel based on an array. More...
class | DataModelError
| Exception class for Gda connection errors. More...
class | DataModelImport
| Importing data from a string or a file. More...
class | DataModelIter
| Data model iterator. More...
class | DataModelIterError
class | DataProxy
| Proxy to hold modifications for any DataModel, providing the DataModel interface itself. More...
class | DataSelect
| Data models returned by the execution of a SELECT statement. More...
class | HandlerBin
| Default handler for binary values. More...
class | HandlerBoolean
| Default Handler for booleans. More...
class | HandlerNumerical
| Default handler for numeric values. More...
class | HandlerString
| Default handler for strings. More...
class | HandlerTime
| Default handler for time, date and timestamp. More...
class | HandlerType
| Default handler for GType values. More...
class | Holder
| Container for a single Gda::Value. More...
class | HolderError
class | MetaStore
| Dictionary object. More...
class | MetaStoreError
class | MetaStruct
| In-memory representation of some database objects. More...
class | MetaStructError
| Exception class for Gda MetaStruct errors. More...
class | Numeric
| TODO. More...
class | QuarkList
| Manages lists of KEY=VALUE pairs. More...
class | Row
| Row for a Gda::DataModelArray object. More...
class | ServerOperation
| Handles any DDL query in an abstract way. More...
class | ServerProvider
| Base class for all the DBMS providers. More...
class | ServerProviderError
class | Set
| Container for several values. More...
class | SqlBuilder
| SqlBuilder can be used to build a Statement from its structural description, much in the same way a SqlParser can be used to build a Statement from a SQL string. More...
class | SqlBuilderError
class | SqlError
class | SqlExpr
| This contains any expression, either as a value, a variable, or as other types of expressions. More...
class | SqlParser
| SQL parser. More...
class | SqlParserError
class | SqlStatement
| Every SQL statement can be decomposed in the SqlStatement tree structure. More...
class | Statement
| Single SQL statement. More...
class | StatementError
class | TransactionStatus
| Keeps track of the transactional status of a connection. More...
class | Value
| Use value_type() to identify the value type at runtime. More...
class | XaTransaction
| Distributed transaction manager. More...

## Typedefs
typedef GdaServerProviderInfo | ServerProviderInfo
typedef GdaDiff | Diff
typedef GdaValueAttribute | ValueAttribute
typedef GdaServerOperationNode | ServerOperationNode
typedef GdaGeometricPoint | GeometricPoint
typedef GdaTime | Time
typedef GdaTimestamp | Timestamp

## Enumerations
enum | ConnectionOptions { CONNECTION_OPTIONS_NONE = 0x0, CONNECTION_OPTIONS_READ_ONLY = 1 << 0, CONNECTION_OPTIONS_SQL_IDENTIFIERS_CASE_SENSITIVE = 1 << 1, CONNECTION_OPTIONS_THREAD_SAFE = 1 << 2, CONNECTION_OPTIONS_THREAD_ISOLATED = 1 << 3, CONNECTION_OPTIONS_AUTO_META_DATA = 1 << 4 }
enum | ConnectionMetaType { CONNECTION_META_NAMESPACES, CONNECTION_META_TYPES, CONNECTION_META_TABLES, CONNECTION_META_VIEWS, CONNECTION_META_FIELDS, CONNECTION_META_INDEXES }
enum | ConnectionEventCode { CONNECTION_EVENT_CODE_CONSTRAINT_VIOLATION, CONNECTION_EVENT_CODE_RESTRICT_VIOLATION, CONNECTION_EVENT_CODE_NOT_NULL_VIOLATION, CONNECTION_EVENT_CODE_FOREIGN_KEY_VIOLATION, CONNECTION_EVENT_CODE_UNIQUE_VIOLATION, CONNECTION_EVENT_CODE_CHECK_VIOLATION, CONNECTION_EVENT_CODE_INSUFFICIENT_PRIVILEGES, CONNECTION_EVENT_CODE_UNDEFINED_COLUMN, CONNECTION_EVENT_CODE_UNDEFINED_FUNCTION, CONNECTION_EVENT_CODE_UNDEFINED_TABLE, CONNECTION_EVENT_CODE_DUPLICATE_COLUMN, CONNECTION_EVENT_CODE_DUPLICATE_DATABASE, CONNECTION_EVENT_CODE_DUPLICATE_FUNCTION, CONNECTION_EVENT_CODE_DUPLICATE_SCHEMA, CONNECTION_EVENT_CODE_DUPLICATE_TABLE, CONNECTION_EVENT_CODE_DUPLICATE_ALIAS, CONNECTION_EVENT_CODE_DUPLICATE_OBJECT, CONNECTION_EVENT_CODE_SYNTAX_ERROR, CONNECTION_EVENT_CODE_UNKNOWN }
enum | ConnectionEventType { CONNECTION_EVENT_NOTICE, CONNECTION_EVENT_WARNING, CONNECTION_EVENT_ERROR, CONNECTION_EVENT_COMMAND }
enum | DataModelAccessFlags { DATA_MODEL_ACCESS_RANDOM = 1 << 0, DATA_MODEL_ACCESS_CURSOR_FORWARD = 1 << 1, DATA_MODEL_ACCESS_CURSOR_BACKWARD = 1 << 2, DATA_MODEL_ACCESS_CURSOR = 0x6, DATA_MODEL_ACCESS_INSERT = 1 << 3, DATA_MODEL_ACCESS_UPDATE = 1 << 4, DATA_MODEL_ACCESS_DELETE = 1 << 5, DATA_MODEL_ACCESS_WRITE = 0x38 }
enum | DataModelHint { DATA_MODEL_HINT_START_BATCH_UPDATE, DATA_MODEL_HINT_END_BATCH_UPDATE, DATA_MODEL_HINT_REFRESH }
enum | DataModelIOFormat { DATA_MODEL_IO_DATA_ARRAY_XML, DATA_MODEL_IO_TEXT_SEPARATED }
enum | SqlIdentifierStyle { SQL_IDENTIFIERS_LOWER_CASE = 1 << 0, SQL_IDENTIFIERS_UPPER_CASE = 1 << 1 }
enum | MetaStructFeature { META_STRUCT_FEATURE_NONE = 0x0, META_STRUCT_FEATURE_FOREIGN_KEYS = 1 << 0, META_STRUCT_FEATURE_VIEW_DEPENDENCIES = 1 << 1, META_STRUCT_FEATURE_ALL = 0x3 }
enum | MetaDbObjectType { META_DB_UNKNOWN, META_DB_TABLE, META_DB_VIEW }
enum | MetaSortType { META_SORT_ALHAPETICAL, META_SORT_DEPENDENCIES }
enum | MetaGraphInfo { META_GRAPH_COLUMNS = 1 << 0 }
enum | ServerOperationNodeType { SERVER_OPERATION_NODE_PARAMLIST, SERVER_OPERATION_NODE_DATA_MODEL, SERVER_OPERATION_NODE_PARAM, SERVER_OPERATION_NODE_SEQUENCE, SERVER_OPERATION_NODE_SEQUENCE_ITEM, SERVER_OPERATION_NODE_DATA_MODEL_COLUMN, SERVER_OPERATION_NODE_UNKNOWN }
enum | ServerOperationNodeStatus { SERVER_OPERATION_STATUS_OPTIONAL, SERVER_OPERATION_STATUS_REQUIRED, SERVER_OPERATION_STATUS_UNKNOWN }
enum | ServerOperationType { SERVER_OPERATION_CREATE_DB, SERVER_OPERATION_DROP_DB, SERVER_OPERATION_CREATE_TABLE, SERVER_OPERATION_DROP_TABLE, SERVER_OPERATION_RENAME_TABLE, SERVER_OPERATION_ADD_COLUMN, SERVER_OPERATION_DROP_COLUMN, SERVER_OPERATION_CREATE_INDEX, SERVER_OPERATION_DROP_INDEX, SERVER_OPERATION_CREATE_VIEW, SERVER_OPERATION_DROP_VIEW, SERVER_OPERATION_COMMENT_TABLE, SERVER_OPERATION_COMMENT_COLUMN, SERVER_OPERATION_CREATE_USER, SERVER_OPERATION_ALTER_USER, SERVER_OPERATION_DROP_USER, SERVER_OPERATION_LAST }
enum | ConnectionFeature { CONNECTION_FEATURE_AGGREGATES, CONNECTION_FEATURE_BLOBS, CONNECTION_FEATURE_INDEXES, CONNECTION_FEATURE_INHERITANCE, CONNECTION_FEATURE_NAMESPACES, CONNECTION_FEATURE_PROCEDURES, CONNECTION_FEATURE_SEQUENCES, CONNECTION_FEATURE_SQL, CONNECTION_FEATURE_TRANSACTIONS, CONNECTION_FEATURE_SAVEPOINTS, CONNECTION_FEATURE_SAVEPOINTS_REMOVE, CONNECTION_FEATURE_TRIGGERS, CONNECTION_FEATURE_UPDATABLE_CURSOR, CONNECTION_FEATURE_USERS, CONNECTION_FEATURE_VIEWS, CONNECTION_FEATURE_XA_TRANSACTIONS, CONNECTION_FEATURE_MULTI_THREADING, CONNECTION_FEATURE_LAST }
enum | SqlParserMode { SQL_PARSER_MODE_PARSE, SQL_PARSER_MODE_DELIMIT }
enum | SqlOperatorType { SQL_OPERATOR_TYPE_AND, SQL_OPERATOR_TYPE_OR, SQL_OPERATOR_TYPE_EQ, SQL_OPERATOR_TYPE_IS, SQL_OPERATOR_TYPE_LIKE, SQL_OPERATOR_TYPE_BETWEEN, SQL_OPERATOR_TYPE_GT, SQL_OPERATOR_TYPE_LT, SQL_OPERATOR_TYPE_GEQ, SQL_OPERATOR_TYPE_LEQ, SQL_OPERATOR_TYPE_DIFF, SQL_OPERATOR_TYPE_REGEXP, SQL_OPERATOR_TYPE_REGEXP_CI, SQL_OPERATOR_TYPE_NOT_REGEXP, SQL_OPERATOR_TYPE_NOT_REGEXP_CI, SQL_OPERATOR_TYPE_SIMILAR, SQL_OPERATOR_TYPE_ISNULL, SQL_OPERATOR_TYPE_ISNOTNULL, SQL_OPERATOR_TYPE_NOT, SQL_OPERATOR_TYPE_IN, SQL_OPERATOR_TYPE_NOTIN, SQL_OPERATOR_TYPE_CONCAT, SQL_OPERATOR_TYPE_PLUS, SQL_OPERATOR_TYPE_MINUS, SQL_OPERATOR_TYPE_STAR, SQL_OPERATOR_TYPE_DIV, SQL_OPERATOR_TYPE_REM, SQL_OPERATOR_TYPE_BITAND, SQL_OPERATOR_TYPE_BITOR, SQL_OPERATOR_TYPE_BITNOT, SQL_OPERATOR_TYPE_ILIKE }
enum | SqlSelectJoinType { SQL_SELECT_JOIN_CROSS, SQL_SELECT_JOIN_NATURAL, SQL_SELECT_JOIN_INNER, SQL_SELECT_JOIN_LEFT, SQL_SELECT_JOIN_RIGHT, SQL_SELECT_JOIN_FULL }
enum | SqlStatementType { SQL_STATEMENT_SELECT, SQL_STATEMENT_INSERT, SQL_STATEMENT_UPDATE, SQL_STATEMENT_DELETE, SQL_STATEMENT_COMPOUND, SQL_STATEMENT_BEGIN, SQL_STATEMENT_ROLLBACK, SQL_STATEMENT_COMMIT, SQL_STATEMENT_SAVEPOINT, SQL_STATEMENT_ROLLBACK_SAVEPOINT, SQL_STATEMENT_DELETE_SAVEPOINT, SQL_STATEMENT_UNKNOWN, SQL_STATEMENT_NONE }
enum | StatementModelUsage { STATEMENT_MODEL_RANDOM_ACCESS = 1 << 0, STATEMENT_MODEL_CURSOR_FORWARD = 1 << 1, STATEMENT_MODEL_CURSOR_BACKWARD = 1 << 2, STATEMENT_MODEL_CURSOR = 0x6, STATEMENT_MODEL_ALLOW_NOPARAM = 1 << 3 }
enum | StatementSqlFlag { STATEMENT_SQL_PARAMS_AS_VALUES = 0x0, STATEMENT_SQL_PRETTY = 1 << 0, STATEMENT_SQL_PARAMS_LONG = 1 << 1, STATEMENT_SQL_PARAMS_SHORT = 1 << 2, STATEMENT_SQL_PARAMS_AS_COLON = 1 << 3, STATEMENT_SQL_PARAMS_AS_DOLLAR = 1 << 4, STATEMENT_SQL_PARAMS_AS_QMARK = 1 << 5, STATEMENT_SQL_PARAMS_AS_UQMARK = 1 << 6 }
enum | TransactionIsolation { TRANSACTION_ISOLATION_UNKNOWN, TRANSACTION_ISOLATION_READ_COMMITTED, TRANSACTION_ISOLATION_READ_UNCOMMITTED, TRANSACTION_ISOLATION_REPEATABLE_READ, TRANSACTION_ISOLATION_SERIALIZABLE }

## Functions
ConnectionOptions | operator| (ConnectionOptions lhs, ConnectionOptions rhs)
ConnectionOptions | operator& (ConnectionOptions lhs, ConnectionOptions rhs)
ConnectionOptions | operator^ (ConnectionOptions lhs, ConnectionOptions rhs)
ConnectionOptions | operator~ (ConnectionOptions flags)
ConnectionOptions& | operator|= (ConnectionOptions& lhs, ConnectionOptions rhs)
ConnectionOptions& | operator&= (ConnectionOptions& lhs, ConnectionOptions rhs)
ConnectionOptions& | operator^= (ConnectionOptions& lhs, ConnectionOptions rhs)
DataModelAccessFlags | operator| (DataModelAccessFlags lhs, DataModelAccessFlags rhs)
DataModelAccessFlags | operator& (DataModelAccessFlags lhs, DataModelAccessFlags rhs)
DataModelAccessFlags | operator^ (DataModelAccessFlags lhs, DataModelAccessFlags rhs)
DataModelAccessFlags | operator~ (DataModelAccessFlags flags)
DataModelAccessFlags& | operator|= (DataModelAccessFlags& lhs, DataModelAccessFlags rhs)
DataModelAccessFlags& | operator&= (DataModelAccessFlags& lhs, DataModelAccessFlags rhs)
DataModelAccessFlags& | operator^= (DataModelAccessFlags& lhs, DataModelAccessFlags rhs)
SqlIdentifierStyle | operator| (SqlIdentifierStyle lhs, SqlIdentifierStyle rhs)
SqlIdentifierStyle | operator& (SqlIdentifierStyle lhs, SqlIdentifierStyle rhs)
SqlIdentifierStyle | operator^ (SqlIdentifierStyle lhs, SqlIdentifierStyle rhs)
SqlIdentifierStyle | operator~ (SqlIdentifierStyle flags)
SqlIdentifierStyle& | operator|= (SqlIdentifierStyle& lhs, SqlIdentifierStyle rhs)
SqlIdentifierStyle& | operator&= (SqlIdentifierStyle& lhs, SqlIdentifierStyle rhs)
SqlIdentifierStyle& | operator^= (SqlIdentifierStyle& lhs, SqlIdentifierStyle rhs)
MetaStructFeature | operator| (MetaStructFeature lhs, MetaStructFeature rhs)
MetaStructFeature | operator& (MetaStructFeature lhs, MetaStructFeature rhs)
MetaStructFeature | operator^ (MetaStructFeature lhs, MetaStructFeature rhs)
MetaStructFeature | operator~ (MetaStructFeature flags)
MetaStructFeature& | operator|= (MetaStructFeature& lhs, MetaStructFeature rhs)
MetaStructFeature& | operator&= (MetaStructFeature& lhs, MetaStructFeature rhs)
MetaStructFeature& | operator^= (MetaStructFeature& lhs, MetaStructFeature rhs)
MetaGraphInfo | operator| (MetaGraphInfo lhs, MetaGraphInfo rhs)
MetaGraphInfo | operator& (MetaGraphInfo lhs, MetaGraphInfo rhs)
MetaGraphInfo | operator^ (MetaGraphInfo lhs, MetaGraphInfo rhs)
MetaGraphInfo | operator~ (MetaGraphInfo flags)
MetaGraphInfo& | operator|= (MetaGraphInfo& lhs, MetaGraphInfo rhs)
MetaGraphInfo& | operator&= (MetaGraphInfo& lhs, MetaGraphInfo rhs)
MetaGraphInfo& | operator^= (MetaGraphInfo& lhs, MetaGraphInfo rhs)
StatementModelUsage | operator| (StatementModelUsage lhs, StatementModelUsage rhs)
StatementModelUsage | operator& (StatementModelUsage lhs, StatementModelUsage rhs)
StatementModelUsage | operator^ (StatementModelUsage lhs, StatementModelUsage rhs)
StatementModelUsage | operator~ (StatementModelUsage flags)
StatementModelUsage& | operator|= (StatementModelUsage& lhs, StatementModelUsage rhs)
StatementModelUsage& | operator&= (StatementModelUsage& lhs, StatementModelUsage rhs)
StatementModelUsage& | operator^= (StatementModelUsage& lhs, StatementModelUsage rhs)
StatementSqlFlag | operator| (StatementSqlFlag lhs, StatementSqlFlag rhs)
StatementSqlFlag | operator& (StatementSqlFlag lhs, StatementSqlFlag rhs)
StatementSqlFlag | operator^ (StatementSqlFlag lhs, StatementSqlFlag rhs)
StatementSqlFlag | operator~ (StatementSqlFlag flags)
StatementSqlFlag& | operator|= (StatementSqlFlag& lhs, StatementSqlFlag rhs)
StatementSqlFlag& | operator&= (StatementSqlFlag& lhs, StatementSqlFlag rhs)
StatementSqlFlag& | operator^= (StatementSqlFlag& lhs, StatementSqlFlag rhs)
void | init ()
GType | value_get_type_null ()
GType | value_get_type_binary ()
GType | value_get_type_blob ()
GType | value_get_type_geometric_point ()
GType | value_get_type_numeric ()
GType | value_get_type_short ()
GType | value_get_type_ushort ()
GType | value_get_type_time ()
GType | value_get_type_timestamp ()

## Variables
const std::string | ATTRIBUTE_DESCRIPTION = "__gda_attr_descr"
const std::string | ATTRIBUTE_NAME = "__gda_attr_name"
const std::string | ATTRIBUTE_NUMERIC_PRECISION = "__gda_attr_numeric_precision"
const std::string | ATTRIBUTE_NUMERIC_SCALE = "__gda_attr_numeric_scale"
const std::string | ATTRIBUTE_AUTO_INCREMENT = "__gda_attr_autoinc"
const std::string | ATTRIBUTE_IS_DEFAULT = "__gda_attr_is_default"

## Typedef Documentation

typedef GdaDiff Gnome::Gda::Diff

typedef GdaGeometricPoint Gnome::Gda::GeometricPoint

typedef GdaServerOperationNode Gnome::Gda::ServerOperationNode

typedef GdaServerProviderInfo Gnome::Gda::ServerProviderInfo

typedef GdaTime Gnome::Gda::Time

typedef GdaTimestamp Gnome::Gda::Timestamp

typedef GdaValueAttribute Gnome::Gda::ValueAttribute

## Function Documentation

void Gnome::Gda::init | ( |  | ) |

GType Gnome::Gda::value_get_type_binary | ( |  | ) |

GType Gnome::Gda::value_get_type_blob | ( |  | ) |

GType Gnome::Gda::value_get_type_geometric_point | ( |  | ) |

GType Gnome::Gda::value_get_type_null | ( |  | ) |

GType Gnome::Gda::value_get_type_numeric | ( |  | ) |

GType Gnome::Gda::value_get_type_short | ( |  | ) |

GType Gnome::Gda::value_get_type_time | ( |  | ) |

GType Gnome::Gda::value_get_type_timestamp | ( |  | ) |

GType Gnome::Gda::value_get_type_ushort | ( |  | ) |

## Variable Documentation

const std::string Gnome::Gda::ATTRIBUTE_AUTO_INCREMENT = "__gda_attr_autoinc"

const std::string Gnome::Gda::ATTRIBUTE_DESCRIPTION = "__gda_attr_descr"

const std::string Gnome::Gda::ATTRIBUTE_IS_DEFAULT = "__gda_attr_is_default"

const std::string Gnome::Gda::ATTRIBUTE_NAME = "__gda_attr_name"

const std::string Gnome::Gda::ATTRIBUTE_NUMERIC_PRECISION = "__gda_attr_numeric_precision"

const std::string Gnome::Gda::ATTRIBUTE_NUMERIC_SCALE = "__gda_attr_numeric_scale"